package com.hzya.frame.plugin.kjs.service;

/**
 * @Description 钉钉部门、人员初始化
 * @Author xiangerlin
 * @Date 2024/9/2 16:24
 **/
public interface IDingTalkInitService {
    /**
     * 部门初始化，仅初始化部门
     * 这里只会用一次，所以直接调用钉钉原生接口
     * @return
     */
    String deptInit(Long deptId);

    /**
     * 部门、人员初始化
     * 这里只会用一次，所以直接调用钉钉原生接口
     * @param deptId 部门id
     * @return
     */
    String userInit(Long deptId);
}
