package com.hzya.frame.u8.production.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description u8生产订单表头 mom_order
 * @Author xiangerlin
 * @Date 2024/8/23 08:46
 **/
public class MomOrderEntity extends BaseEntity {
    //主键
    private String moId;
    //生产订单号
    private String mocode;
    //制单时间
    private String createtime;
    //制单人
    private String createuser;
    //创建日期
    private String createDate;
    //修改日期
    private String modifyDate;
    //修改时间
    private String modifytime;
    //推送状态字段
    private String pushFlagField;
    //帐套名
    private String dbname;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;//定时任务执行时传入的开始时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;//定时任务执行时传入的结束时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //最后操作时间， isnull(dmodifysystime,dcreatesystime)
    private String lasttime;

    public String getMoId() {
        return moId;
    }

    public void setMoId(String moId) {
        this.moId = moId;
    }

    public String getMocode() {
        return mocode;
    }

    public void setMocode(String mocode) {
        this.mocode = mocode;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getCreateuser() {
        return createuser;
    }

    public void setCreateuser(String createuser) {
        this.createuser = createuser;
    }
    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(String modifyDate) {
        this.modifyDate = modifyDate;
    }

    public String getModifytime() {
        return modifytime;
    }

    public void setModifytime(String modifytime) {
        this.modifytime = modifytime;
    }

    public String getPushFlagField() {
        return pushFlagField;
    }

    public void setPushFlagField(String pushFlagField) {
        this.pushFlagField = pushFlagField;
    }

    public String getDbname() {
        return dbname;
    }

    public void setDbname(String dbname) {
        this.dbname = dbname;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getLasttime() {
        return lasttime;
    }

    public void setLasttime(String lasttime) {
        this.lasttime = lasttime;
    }
}
