package com.hzya.frame.grpU8.nxproof.glPzml.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.grpU8.nxproof.glPzml.entity.SenderGlPzmlEntity;

import java.util.List;
import java.util.Map;

/**
 * (gl_pzml: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 10:02:06
 */
public interface ISenderGlPzmlDao extends IBaseDao<SenderGlPzmlEntity, String> {

    /**
     *
     * @content 查询凭证目录  卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:11
     * **/
    List<SenderGlPzmlEntity> querySenderGlPzmlEntity(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 保存凭证目录到凭证目录日志表中 卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 16:29
     * **/
    SenderGlPzmlEntity saveSenderGlPzmlEntity(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 更新凭证目录到凭证目录日志表中 卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 16:30
     * **/
    SenderGlPzmlEntity updateSenderGlPzmlEntity(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 查询凭证目录  卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:11
     * **/
    List<SenderGlPzmlEntity> queryGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 保存凭证目录 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 16:29
     * **/
    SenderGlPzmlEntity saveGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 更新凭证目录 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 16:30
     * **/
    SenderGlPzmlEntity updateGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 删除凭证目录 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/8/9 17:44
     * **/
    Integer deleteGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity);

    /**
     *
     * @content 查询凭证 商学院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/8/14 16:25
     * **/
    List<SenderGlPzmlEntity> queryGlPzmlSxy(SenderGlPzmlEntity senderGlPzmlEntity);



}

