package com.hzya.frame.u8.delivery.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * @Description 发货单
 * @Author xiangerlin
 * @Date 2024/8/22 17:01
 **/
public class DeliveryOrderDTO {
    @JSONField(serialize = false)
    private String dlid;
    //发货单号
    @JSONField(ordinal = 1)
    private String cdlcode;
    //客户编码
    @JSONField(ordinal = 2)
    private String ccuscode;
    //客户名称
    @JSONField(ordinal = 3)
    private String ccusname;
    //销售订单号
    @JSONField(ordinal = 4)
    private String csocode;
    //发货日期
    @JSONField(ordinal = 5)
    private String ddate;
    //制单人
    @JSONField(ordinal = 6)
    private String cmaker;
    //制单时间
    @JSONField(ordinal = 7)
    private String dcreatesystime;
    //币种
    @JSONField(ordinal = 8)
    private String cexch_name;
    //汇率
    @JSONField(ordinal = 9)
    private String iexchrate;
    //税率
    @JSONField(ordinal = 10)
    private String itaxrate;
    //备注
    @JSONField(ordinal = 11)
    private String cmemo;
    //子表
    @JSONField(ordinal = 12)
    private List<DeliveryDetailDTO> items;

    public String getDlid() {
        return dlid;
    }

    public void setDlid(String dlid) {
        this.dlid = dlid;
    }

    public String getCdlcode() {
        return cdlcode;
    }

    public void setCdlcode(String cdlcode) {
        this.cdlcode = cdlcode;
    }

    public String getCcuscode() {
        return ccuscode;
    }

    public void setCcuscode(String ccuscode) {
        this.ccuscode = ccuscode;
    }

    public String getCcusname() {
        return ccusname;
    }

    public void setCcusname(String ccusname) {
        this.ccusname = ccusname;
    }

    public String getCsocode() {
        return csocode;
    }

    public void setCsocode(String csocode) {
        this.csocode = csocode;
    }

    public String getDdate() {
        return ddate;
    }

    public void setDdate(String ddate) {
        this.ddate = ddate;
    }

    public String getCmaker() {
        return cmaker;
    }

    public void setCmaker(String cmaker) {
        this.cmaker = cmaker;
    }

    public String getDcreatesystime() {
        return dcreatesystime;
    }

    public void setDcreatesystime(String dcreatesystime) {
        this.dcreatesystime = dcreatesystime;
    }

    public String getCexch_name() {
        return cexch_name;
    }

    public void setCexch_name(String cexch_name) {
        this.cexch_name = cexch_name;
    }

    public String getIexchrate() {
        return iexchrate;
    }

    public void setIexchrate(String iexchrate) {
        this.iexchrate = iexchrate;
    }

    public String getItaxrate() {
        return itaxrate;
    }

    public void setItaxrate(String itaxrate) {
        this.itaxrate = itaxrate;
    }

    public String getCmemo() {
        return cmemo;
    }

    public void setCmemo(String cmemo) {
        this.cmemo = cmemo;
    }

    public List<DeliveryDetailDTO> getItems() {
        return items;
    }

    public void setItems(List<DeliveryDetailDTO> items) {
        this.items = items;
    }
}
