package com.hzya.frame.u8.delivery.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.u8.delivery.dao.IDeliveryOrderDao;
import com.hzya.frame.u8.delivery.entity.DeliveryOrderEntity;
import com.hzya.frame.u8.delivery.service.IDeliveryOrderService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description U8发货单
 * @Author xiangerlin
 * @Date 2024/8/22 15:13
 **/
@Service
public class DeliveryOrderServiceImpl extends BaseService<DeliveryOrderEntity,String> implements IDeliveryOrderService {
    Logger logger = LogManager.getLogger(getClass());
    private IDeliveryOrderDao deliveryOrderDao;

    @Autowired
    public void setDeliveryOrderDao(IDeliveryOrderDao dao) {
        this.deliveryOrderDao = dao;
        this.dao = dao;
    }

    /**
     * 保存自定义项
     *
     * @param entity
     */
    @Override
    @DS("#entity.dataSourceCode")
    public void saveExtradefine(DeliveryOrderEntity entity) {
        deliveryOrderDao.save("com.hzya.frame.u8.delivery.dao.impl.DeliveryOrderDaoImpl.dispatchList_order_extradefine_insert",entity);
    }
}
